• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

b1gMail 7.4.0 Beta 3

patrick

Staff member
B1G-Software-Kunde
#1
b1gMail 7.4.0 Beta 3 steht nun zum Download bereit! Wie bei jeder Beta-Version gilt: Nicht für den Produktiveinsatz bestimmt!

Vor einem eventuellen Update unbedingt Datensicherung der Datenbank und des b1gMail-Ordners inkl. des data-Ordners anlegen und genau die Liesmich-Datei beachten!

Für Beta-Versionen gibt es keinen Support-Anspruch.


Änderungen 7.4.0-Beta2 -> 7.4.0-Beta3
Behobene Probleme:
# Automatische Deaktivierung des MySQL-Strict-Mode
# Problem mit Mail-Parser behoben, wenn E-Mail nicht mit Leerzeile endet
# Encoding-Problem im Mail-Quellcode-Viewer behoben
# Es werden nun keine ungültigen E-Mail-Adressen bei der Registrierung mehr vorgeschlagen
# Verschiedene PHP-7-Kompatibilitätsprobleme behoben
# Mögliche Race-Condition beim Anlegen von Statistik-Einträgen behoben
# Massen-Aktionen in Missbrauchs-Detail-Ansicht behoben
# Logout/Einstellungen/Suche/Hilfe-Icons haben nun höhere Priorität als die Speicher-Toolbar und verschwinden auf kleinen Bildschirmen nicht mehr als erstes

Neue Funktionen:
# Postausgang in "Gesendet" umbenannt
# Warnung im Admin-Bereich wenn das Gruppen-Mail-Limit das globale Empfangslimit übersteigt
# POP3-Selbstabruf-Check ist nun in den Gruppeneinstellungen deaktivierbar
# Update auf neue SabreDAV-Version
# CalDAV- und CardDAV-Support
# High-DPI-Icons im User-Bereich
# Allgemeine Verbesserungen
Neuinstallation
Komplettpaket herunterladen, "liesmich.html" lesen

Update von b1gMail 7.4.0-Beta1
Updatepaket herunterladen, "liesmich.html" lesen

Update von b1gMail 7.3.0
Es muss zuerst auf b1gMail 7.4.0-Beta2 aktualisiert werden.

Update von anderen Versionen
Es muss zuerst auf b1gMail 7.4.0-Beta2 aktualisiert werden.

Hinweise
  • Vor Update UNBEDINGT Datenbank+Dateien sichern. Keine Haftung für Datenverluste!
  • b1gMail 7.4-Beta3 benötigt mindestens PHP 5.3
  • Nach dem Update bitte den Browser-Cache leeren
  • PremiumAccount-Plugin ist noch nicht kompatibel! Entsprechende neue Version erscheint in Kürze.
  • b1gMail 7.4.0-Beta3 ist mit b1gMailServer ab Version 2.7.3221 und Fax-Plugin ab Version 1.45 kompatibel. (Jedoch wird die Verwendung der jeweils neuesten Versionen empfohlen.)
  • Falls b1gMailServer verwendet wird, nach dem Update bitte den Warteschleifendienst neu starten und sicherstellen, dass mind. b1gMailServer 2.7.3221 verwendet wird.
  • Falls das CleverCron-Plugin verwendet wird, dieses bitte vor dem Update deinstallieren.
 

ManDal

B1G-Software-Kunde
#2
Hallo Patrick,
update hat wunderbar funktioniert nur wollte ich nachfragen wie die Url für CardDAV und CalDAV den genau ist?

.../interface/carddav.php da erhalte ich (auf dem iPhone) folgende Meldung:
CardDAV-Accountüberprüfung fehlgeschlagen

Grüsse
Michael
 

patrick

Staff member
B1G-Software-Kunde
#3
Hi,

ist soweit korrekt, wenn du noch einen Slash (/) anhängst. Wichtig: Cal-/CardDAV in den Gruppeneinstellungen erlauben.
 

ManDal

B1G-Software-Kunde
#4
Ist aktiv, erhalte aber immer noch die gleiche Meldung...

Sehe gerade im Log noch folgende Fehler:
(db.class.php:183) MySQL-Error at '/var/www/.../htdocs/mail/interface/pipe.php': 'Lock wait timeout exceeded; try restarting transaction', tried to execute 'UPDATE bm60_users SET received_mails=received_mails+'1' WHERE id='3''
(db.class.php:183) MySQL-Error at '/cron.php': 'Lock wait timeout exceeded; try restarting transaction', tried to execute 'UPDATE bm60_users SET traffic_down=0,traffic_up=0,traffic_status='1' WHERE traffic_status!='1''
 
Last edited:

patrick

Staff member
B1G-Software-Kunde
#5
Benutzt du SSL? Kann sein, dass iOS den Account sonst nicht anlegen möchte. Oder wenn das Zertifikat nicht vertrauenswürdig ist.
 

ManDal

B1G-Software-Kunde
#7
Ja eigentlich schon, habe den Dienst nochmals durchgestartet. Mal schauen ob der Fehler nun verschwindet...

Habe ein offizielles SSL Zertifikat und die URL im iPhone auch so angegeben... bringt aber leider nichts.
 

patrick

Staff member
B1G-Software-Kunde
#10
Hi,

da bei dir PHP als (Fast)CGI läuft, muss das hier in deinen Apache-VHost:

Code:
RewriteEngine on
RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]
 

patrick

Staff member
B1G-Software-Kunde
#14
Normalerweise sollte man PHP als Modul laufen lassen wenn man HTTP-Auth. verwenden will wie bei DAV. Mit o.g. Workaround sollte es gehen. Woran es nun noch liegt kann ich so nicht sagen. Mit SSH-Login kann ich mal nachsehen.

Hast du das auch in den SSL-VHost eingefügt?
 

raffnix

B1G-Software-Kunde
#19
Bekomme den gleichen Fehler "Accountname konnte nicht überprüft werden".

Auf meinem Smartphone lässt sich zwar Caldav einrichten aber der Kalender erscheint nicht.